package com.iamberry.wechat.tools;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
/**
 * @author 何秀刚
 * Introduction to the ： 校验的注解标识
 * create date: 2016年1月12日
 */
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface ValidatorInterface {
	
	/**
	 * 校验当前字段和指定字段是否一致
	 * @return
	 */
	String equalsOtherField() default "";
	
	/**
	 * 效验是否为空
	 * @return
	 */
	String isNotNull() default "true";
	
	/**
	 * 校验某个字段是否复合传输的规则
	 * @return
	 */
	String validatorIsRule() default "";
	
	/**
	 * 校验字符串长度
	 */
	int [] fieldLengthScope() default {-1, -1};
	
	/**
	 * 是否启用本注解, true启动，false不启用
	 */
	boolean isEnable() default false;
	
}